Summary:	Network audit tools
Name:		dsniff
Version:	2.4
Release:	0.b2.17
URL:		http://www.monkey.org/~dugsong/%{name}/
License:	BSD
# http://packetstormsecurity.nl/sniffers/dsniff/dsniff-2.4b2.tar.gz
Source0:	http://www.monkey.org/~dugsong/%{name}/%{name}-%{version}b2.tar.bz2
Patch0:		dsniff-2.4-slist.patch
Patch1:		dsniff-2.4-db4.diff
Patch2:		dsniff-2.4b2-missing-header.diff
Patch3:		dsniff-2.4b2-mailsnarf_corrupt.diff
Patch4:		dsniff-2.4b2-pcap_read_dump.diff
Patch5:		dsniff-2.4b2-multiple_intf.diff
Patch6:		dsniff-2.4b2-urlsnarf_zeropad.diff
Patch7:		dsniff-2.4b2-openssl098.diff
# patch to fix stack smahing seen on i586.
# debugging lead to a problem regarding buf array
# patch not sent upstream since the version do not seems to come from him 
Patch8:     dsniff-2.4-fix_stack_smashing_tcpkill.diff
# debian #372536
Patch9:		dsniff-checksum.patch
 
Group:		Monitoring
BuildRequires:	libx11-devel
BuildRequires:	libxmu-devel
BuildRequires:	net-devel >= 1.1.3
BuildRequires:	libnids-devel
BuildRequires:	db-devel
BuildRequires:	openssl-devel
BuildRequires:	pcap-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Tools to audit network and to demonstrate the insecurity of cleartext
network protocols. Please do not abuse this software.

%package	webspy
Summary:	Network audit tools
Group:		Monitoring
Requires:	%{name} = %{version}
#Requires:	netscape-navigator

%description	webspy
webspy sends URLs sniffed from a client to your local Netscape browser
for display, updated in real-time (as the target surfs, your browser
surfs along with them, automagically). Netscape must be running on
your local X display ahead of time.

%prep

%setup -q -n %{name}-%{version}b2
%patch0 -p0
%patch1 -p1
%patch2 -p1
%patch3 -p0
%patch4 -p1
%patch5 -p1
%patch6 -p0
%patch7 -p0
%patch8 -p0 
%patch9 -p1

#lib64 fixes
perl -pi -e 's|/lib/|/%{_lib}/|g' configure*
perl -pi -e 's|/lib\ |/%{_lib}\ |g' configure*

%build
%configure2_5x \
    --libdir="%{_sysconfdir}/%{name}"

%make

%install
rm -rf %{buildroot}

%{__make} install_prefix="$RPM_BUILD_ROOT" install

chmod 644 CHANGES README TODO

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGES README TODO
%config(noreplace) %{_sysconfdir}/%{name}
%exclude %{_sbindir}/webspy
%exclude %{_mandir}/man8/webspy.*
%{_sbindir}/*
%{_mandir}/man8/*

%files webspy
%defattr(-,root,root)
%{_sbindir}/webspy
%{_mandir}/man8/webspy.8*




%changelog
* Sat May 05 2012 Crispin Boylan <crisb@mandriva.org> 2.4-0.b2.17
+ Revision: 796887
- Update patch1 for db 5.3 compile
- Rebuild for db5.3

  + Bogdano Arendartchuk <bogdano@mandriva.com>
    - rebuild with db 5.1 (from fwang | 2011-04-12 10:48:44 +0200)

* Thu Jan 06 2011 Funda Wang <fwang@mandriva.org> 2.4-0.b2.15mdv2011.0
+ Revision: 629085
- tighten BR

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuild

* Wed Apr 21 2010 Funda Wang <fwang@mandriva.org> 2.4-0.b2.14mdv2010.1
+ Revision: 537459
- rebuild

* Wed Mar 03 2010 Anssi Hannula <anssi@mandriva.org> 2.4-0.b2.13mdv2010.1
+ Revision: 513758
- disable filtering of packets with invalid checksum (fixes urlsnarf on
  recent kernels, debian #372536, checksum.patch from debian)

* Tue Feb 23 2010 Michael Scherer <misc@mandriva.org> 2.4-0.b2.12mdv2010.1
+ Revision: 509867
- fix Url
- add patch 8, to fix stack smashing error seen on i586 with tcpkill

* Tue Jan 12 2010 Buchan Milne <bgmilne@mandriva.org> 2.4-0.b2.11mdv2010.1
+ Revision: 490367
- Rebuild for db-4.8

* Thu Jun 04 2009 Oden Eriksson <oeriksson@mandriva.com> 2.4-0.b2.10mdv2010.0
+ Revision: 382698
- rebuilt against libnet 1.1.3

* Thu Feb 05 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.4-0.b2.9mdv2009.1
+ Revision: 337860
- rediff patch 2 for fuziness
- keep bash completion in its own package

* Wed Oct 29 2008 Oden Eriksson <oeriksson@mandriva.com> 2.4-0.b2.8mdv2009.1
+ Revision: 298248
- rebuilt against libpcap-1.0.0

* Wed Jan 02 2008 Olivier Blin <blino@mandriva.org> 2.4-0.b2.7mdv2008.1
+ Revision: 140722
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - buildrequires X11-devel instead of XFree86-devel

